| Class TagSelector A structure to select a tag from a TagList.
TagSelector
AutoSeqFormat
TagSelector<TTagList> Parameters
TTagList | A tag list. Types: TagList
Specializations
AutoSeqFormat | Auto-detects and stores a file format.
Metafunctions
Find | A metafunction to retrieve the index of a tag in the TagList.
Data Members
tagId | Stores the index of a Tag in the tag list.
Functions
getFileFormatExtensions | Returns file format extensions given a format tag.
Shortcuts
AutoSeqStreamFormat | A TagSelector for SeqStreamFormats, the list of the currently implemented Sequence-Formats (in RecordReader/Stream-IO)
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56